var machineInfo = require('./global')
var checksum = require('./checksum')

module.exports = {
  // 开始取零
  beginSetZero:function () {
      let data = [];
      data.push(0x04);
      data.push(0x00);
      data.push(0x02);
      data.push(0x00);
      return Buffer(data);
  },
  // 停止取零
  endSetZero:function () {
      let data = [];
      data.push(0x04);
      data.push(0x00);
      data.push(0x04);
      data.push(0x00);
      return Buffer(data);
  },
  // 开始采集
  startCollection:function () {
      let data = [];
      data.push(0x04);
      data.push(0x00);
      data.push(0x03);
      data.push(0x00);
      return Buffer(data);
  },
  // 停止采集
  endCollection:function () {
      let data = [];
      data.push(0x04);
      data.push(0x00);
      data.push(0x04);
      data.push(0x00);
      return Buffer(data);
  },
  // 复位
  resetDevice:function () {
      let data = [];
      data.push(0x16);
      data.push(0x00);
      return Buffer(data);
  },

  socketPressReset: function () {
    let data = [];
    let snLength = machineInfo.sn.length;
    data.push(0x3a);
    data.push(1);
    data.push(snLength);
    data = data.concat(machineInfo.sn);
    console.log(data)
    let checkSum = checksum(data);
    data.push(checkSum);
    return Buffer(data);
  },

}